# Uses of Interface
org.eclipse.microprofile.openapi.models.responses.APIResponse

Packages that use APIResponse
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.responses
Model interfaces to describe a single response from an API operation, and an annotation to encapsulate multiple responses from an API operation.

## Uses of APIResponse in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return APIResponse
Modifier and Type
Method
Description
`static APIResponse`
OASFactory.`createAPIResponse()`
This method creates a new `APIResponse` instance.
`default APIResponse`
OASFilter.`filterAPIResponse(APIResponse apiResponse)`
Allows filtering of a particular APIResponse.
Methods in org.eclipse.microprofile.openapi with parameters of type APIResponse
Modifier and Type
Method
Description
`default APIResponse`
OASFilter.`filterAPIResponse(APIResponse apiResponse)`
Allows filtering of a particular APIResponse.

## Uses of APIResponse in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return types with arguments of type APIResponse
Modifier and Type
Method
Description
`Map<String,APIResponse>`
Components.`getResponses()`
Returns the responses property from a Components instance.
Methods in org.eclipse.microprofile.openapi.models with parameters of type APIResponse
Modifier and Type
Method
Description
`Components`
Components.`addResponse(String key, APIResponse response)`
Adds the given response to this Components' map of responses with the given string as its key.
Method parameters in org.eclipse.microprofile.openapi.models with type arguments of type APIResponse
Modifier and Type
Method
Description
`default Components`
Components.`responses(Map<String,APIResponse> responses)`
Sets this Components' responses property to the given Map containing keys and reusable response objects.
`void`
Components.`setResponses(Map<String,APIResponse> responses)`
Sets this Components' responses property to the given Map containing keys and reusable response objects.

## Uses of APIResponse in org.eclipse.microprofile.openapi.models.responses

Methods in org.eclipse.microprofile.openapi.models.responses that return APIResponse
Modifier and Type
Method
Description
`APIResponse`
APIResponse.`addHeader(String name, Header header)`
Adds the given Header to this ApiResponse instance's map of Headers with the given name and return this instance of ApiResponse.
`APIResponse`
APIResponse.`addLink(String name, Link link)`
Adds a link to this instance of ApiResponse using the given name and Link, and returns this ApiResponse instance.
`default APIResponse`
APIResponse.`content(Content content)`
Sets the map containing descriptions of potential response payload for this instance of ApiResponse and returns this ApiResponse instance.
`default APIResponse`
APIResponse.`description(String description)`
Sets the description of this instance of ApiResponse and returns this ApiResponse instance.
`default APIResponse`
APIResponses.`getAPIResponse(String name)`
Returns a APIResponse for a given name.
`APIResponse`
APIResponses.`getDefaultValue()`
Returns the default documentation of responses other than the ones declared for specific HTTP response codes in this instance of ApiResponses.
`default APIResponse`
APIResponse.`headers(Map<String,Header> headers)`
Sets the Headers for this instance of ApiResponse with the given map of Headers and returns this instance of ApiResponse.
`default APIResponse`
APIResponse.`links(Map<String,Link> links)`
Sets the operations links that can be followed from this instance of ApiResponse.
Methods in org.eclipse.microprofile.openapi.models.responses that return types with arguments of type APIResponse
Modifier and Type
Method
Description
`Map<String,APIResponse>`
APIResponses.`getAPIResponses()`
Returns a copy map (potentially immutable) of the APIResponses.
Methods in org.eclipse.microprofile.openapi.models.responses with parameters of type APIResponse
Modifier and Type
Method
Description
`APIResponses`
APIResponses.`addAPIResponse(String name, APIResponse apiResponse)`
Adds an APIResponse in the format of the name as a key and the item as the value to APIResponses map
`default APIResponses`
APIResponses.`defaultValue(APIResponse defaultValue)`
Sets the default documentation of responses for this instance of ApiResponses and return this instance of ApiResponses.
`void`
APIResponses.`setDefaultValue(APIResponse defaultValue)`
Sets the default documentation of responses for this instance of ApiResponses.
Method parameters in org.eclipse.microprofile.openapi.models.responses with type arguments of type APIResponse
Modifier and Type
Method
Description
`void`
APIResponses.`setAPIResponses(Map<String,APIResponse> items)`
Set the APIResponses map to this APIResponses